Bug 1700447 (CVE-2019-2698) - CVE-2019-2698 OpenJDK: Font layout engine out of bounds access setCurrGlyphID() (2D, 8219022)
Summary: CVE-2019-2698 OpenJDK: Font layout engine out of bounds access setCurrGlyphID...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2698
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1693473 1693474 1693475 1695906 1695907 1698440 1698441 1698445 1704238 1704239 1704240 1704241 1704242 1704243 1704244 1704245 1708139
Blocks: 1693469
TreeView+ depends on / blocked
 
Reported: 2019-04-16 15:14 UTC by Tomas Hoger
Modified: 2019-09-29 15:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 21:18:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0960 None None None 2019-05-01 17:22:39 UTC
Red Hat Product Errata RHSA-2019:0774 None None None 2019-04-17 15:37:47 UTC
Red Hat Product Errata RHSA-2019:0775 None None None 2019-04-17 15:37:57 UTC
Red Hat Product Errata RHSA-2019:0790 None None None 2019-04-22 14:30:35 UTC
Red Hat Product Errata RHSA-2019:0791 None None None 2019-04-22 14:30:45 UTC
Red Hat Product Errata RHSA-2019:1146 None None None 2019-05-13 07:01:07 UTC
Red Hat Product Errata RHSA-2019:1163 None None None 2019-05-13 21:07:45 UTC
Red Hat Product Errata RHSA-2019:1164 None None None 2019-05-13 21:07:59 UTC
Red Hat Product Errata RHSA-2019:1165 None None None 2019-05-13 21:08:09 UTC
Red Hat Product Errata RHSA-2019:1166 None None None 2019-05-13 21:08:18 UTC
Red Hat Product Errata RHSA-2019:1238 None None None 2019-05-16 13:25:39 UTC
Red Hat Product Errata RHSA-2019:1325 None None None 2019-06-04 13:24:49 UTC

Description Tomas Hoger 2019-04-16 15:14:20 UTC
A out of bounds access flaw was found in the font layout engine in the 2D component of OpenJDK.  Missing validation of the position value in GlyphIterator::setCurrGlyphID could lead to memory corruption, triggered by a specially crafted font file. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2019-04-16 22:03:51 UTC
Public now via Oracle CPU April 2019:

https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html#AppendixJAVA

Fixed in Oracle Java 8u211 and 7u221.

Comment 2 errata-xmlrpc 2019-04-17 15:37:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0774 https://access.redhat.com/errata/RHSA-2019:0774

Comment 3 errata-xmlrpc 2019-04-17 15:37:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0775 https://access.redhat.com/errata/RHSA-2019:0775

Comment 4 Tomas Hoger 2019-04-17 19:58:51 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/8aa3b4b8a929

Comment 5 errata-xmlrpc 2019-04-22 14:30:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0790 https://access.redhat.com/errata/RHSA-2019:0790

Comment 6 errata-xmlrpc 2019-04-22 14:30:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0791 https://access.redhat.com/errata/RHSA-2019:0791

Comment 7 errata-xmlrpc 2019-05-13 07:01:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1146 https://access.redhat.com/errata/RHSA-2019:1146

Comment 8 errata-xmlrpc 2019-05-13 21:07:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:1163 https://access.redhat.com/errata/RHSA-2019:1163

Comment 9 errata-xmlrpc 2019-05-13 21:07:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:1164 https://access.redhat.com/errata/RHSA-2019:1164

Comment 10 errata-xmlrpc 2019-05-13 21:08:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:1165 https://access.redhat.com/errata/RHSA-2019:1165

Comment 11 errata-xmlrpc 2019-05-13 21:08:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:1166 https://access.redhat.com/errata/RHSA-2019:1166

Comment 12 errata-xmlrpc 2019-05-16 13:25:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1238 https://access.redhat.com/errata/RHSA-2019:1238

Comment 13 errata-xmlrpc 2019-06-04 13:24:48 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:1325 https://access.redhat.com/errata/RHSA-2019:1325


Note You need to log in before you can comment on or make changes to this bug.